{
  "criteria": {
    "requirement": {
      "trigger": "minecraft:consume_item",
      "conditions": {
        "item": {
          "items": [
            "minecraft:golden_apple"
          ]
        }
      }
     }
    },
    "rewards": {
        "function": "zzzzdonotuse:advancements/eatgoldenapple"
    }
}
